// ==UserScript==
// @name          Scrapbook Searcher - Orkut Search tool for Scrapbooks & Communities
// @namespace     http://sequence-points.blogspot.com
// @description	  Searches through orkut scrapbooks,community messages and community threads for strings,user names and dates
// @include       http://www.orkut.com/*
// @include       https://www.orkut.com/*
// @author        Ramprabhu
// ==/UserScript==

var remdiv = ' function RemoveAllRows() {';
remdiv+='   var prev = -1,main;';
remdiv+='    var trTags = document.getElementsByTagName(\'tr\');';
remdiv+='    for(var i = 0;i < trTags.length;i++) {';
remdiv+='     if(trTags[i].hasAttribute(\'class\') && trTags[i].getAttribute(\'class\').match(/row/))';
remdiv+='     { ';
remdiv+='      if(trTags[i].getElementsByTagName(\'div\')[0]) {main = trTags[i].parentNode; }';
remdiv+='         trTags[i].parentNode.removeChild(trTags[i]); i--;';
remdiv+='      } ';
remdiv+='    } ';
remdiv+='    n = document.createElement(\'tr\'); ';
remdiv+='    n.innerHTML = \'<d><div><z></z></div></d>\'; ';
remdiv+='    n.setAttribute(\'class\',\'row\'); main.appendChild(n);';
remdiv+=' } ';

var movediv = ' function MoveRows() { ';
movediv +='    var trTags = document.getElementsByTagName(\'tr\');';
movediv +='    var lastpar = null;';
movediv +='    for(var i = 0;i<trTags.length;i++) {';
movediv +='      if(trTags[i].hasAttribute(\'class\') && trTags[i].getAttribute(\'class\').match(/row/) && trTags[i].getElementsByTagName(\'div\')[0])';
movediv +='      {';
movediv +='        lastpar = trTags[i]; ';
movediv +='      }';
movediv +='    }';
movediv +='    trTags = tmp.getElementsByTagName(\'tr\'); ';
movediv +='    for(var i = 0;i<trTags.length;i++) {';
movediv +='      if(trTags[i].hasAttribute(\'class\') && trTags[i].getAttribute(\'class\').match(/row/) && trTags[i].getElementsByTagName(\'div\')[0])';
movediv +='      {';
movediv +='          ent = trTags[i].cloneNode(true);';
movediv +='          lastpar.parentNode.appendChild(ent);';
movediv +='          trTags[i].parentNode.removeChild(trTags[i]);';
movediv +='          lastpar = ent;';
movediv +='       }';
movediv +='    }';
movediv +=' }';

if(window.name.indexOf('ScrpSrchMagicBabe') >= 0) {
    window.addEventListener("unload",function(e){
        window.name = 'killed' + window.name;
        aborted = 1;
        if(xmlReq != undefined)
            xmlReq.abort();
        return;
    }
    ,false);
}

var CommMsgs = 0;
var Scrapbook = 0;
var CommTopics = 0;
var stopSearch = 0;
var xmlReq;
var aborted = 0;

var tmp = document.createElement('tmp');

ScrapbookSearcher();

function ScrapbookSearcher() {
    
    
    var nextref = "";
    buttonname = '';
    
    
    var lastdest;
    var lastresp;
    
    
    if(document.location.href.indexOf('Scrapbook.aspx') >= 0) { Scrapbook = 1; buttonname = 'Search Scrapbook';}
    else if(document.location.href.indexOf('CommTopics.aspx') >=0) { CommTopics = 1; buttonname = 'Search Threads';}
    else if(document.location.href.indexOf('CommMsgs.aspx') >= 0) { CommMsgs = 1; buttonname = 'Search Messages';}
    else { return;}
    
    
    AddSearchBox();
    
    if(window.name.indexOf('killed') == 0)
        stopSearch = 1;
    
    if(stopSearch == 1){return; }
    
    
    tmp.innerHTML = document.body.innerHTML;
    
    if(window.name.indexOf('ScrpSrchMagicBabe') == -1) {
        return;
    }
    
    prepare();
    function prepare() {
        
        var trTags=document.getElementsByTagName('tr');
        var paren,node = null;;
        for(var i = 0;i < trTags.length;i++) {
            if(trTags[i].hasAttribute('class') && trTags[i].getAttribute('class').match(/row/))
            {
                paren = trTags[i].parentNode;
                break;
            }
        }
        
        
        var anc = document.getElementsByTagName('a');
        for(var j = 0;j < anc.length;j++) {
            if(anc[j].textContent.match(/(first|last|next|previous)/i)) {
                anc[j].parentNode.removeChild(anc[j]);
                j = j - 1;
            }
        }
        
        var children = paren.childNodes;
        var lastchild = null;
        
        for(var i = 0;i < children.length;i++) {
            if(!children[i].innerHTML){continue;}
            
            lastchild = children[i];
            
            if(children[i].innerHTML.match(/delete(.*)selected(.*)/i)){
                if(children[i].innerHTML.indexOf('changePageSize') >=0) {
                    var sel = children[i].getElementsByTagName('select');
                    if(sel[0].nextSibling != null) { lastchild = sel[0].nextSibling; }
                    sel[0].parentNode.removeChild(sel[0]);
                    i = i - 1;
                }
                continue;
            }
            if(children[i].innerHTML.match(/Select(.*)All(.*)/i)){
                continue;
            }
            
            
            if(children[i].nodeName == 'TR' || children.nodeName == 'tr') {
                if(children[i].hasAttribute('class') && children[i].getAttribute('class').match(/row/))
                {
                    if(children[i].nextSibling != null ) {
                        lastchild = children[i].nextSibling;
                    }
                    children[i].parentNode.removeChild(children[i]);
                    i = i - 1;
                    
                }
            }
            
        }
        
        node = document.createElement('tr');
        node.innerHTML = '<d><div><z></z></div></d>';
        node.setAttribute('class','row');
        paren.insertBefore(node,lastchild);
        
        magicnext = document.createElement('magicnext');
        magicnext.setAttribute('id','magicnextId');
        magicnext.setAttribute('style','display:none');
        document.body.appendChild(magicnext);
    }
    foo();
}   
    function ajaxReload()
    {
        ajax(lastdest,lastresp);
    }
    
    function ajax(dest,resp)
    {
        xmlReq = undefined;
        lastdest = dest;
        lastresp = resp;
        xmlReq = new XMLHttpRequest();
        xmlReq.onreadystatechange = resp;
        xmlReq.open("GET",dest,true);
        xmlReq.overrideMimeType("text/html");
        xmlReq.send(null);
    }
    function ajaxresp()
    {
        if(window.name.indexOf('killed') == 0)
            return;
        if(aborted != 1 && xmlReq.readyState==4)
        {
            tmp.innerHTML = xmlReq.responseText;
            foo();
        }
    }
    

    
    function foo() {
        
        var nextref = '';
        user = 0,dateq = 0;
        userN = "",dates = 0;
        
        
        trTags = tmp.getElementsByTagName('tr');
        
        anc = tmp.getElementsByTagName('a');
        for(var i = 0;i<anc.length;i++) {
            
            if(anc[i].textContent.indexOf('next') >= 0) {
                nextref = anc[i].href;
                
            }
        }
        ret = SearchParse();
        
        if( ret == 2)
        {
            AddSearchOver();
            return ;
        }
        
        if(ret == 4) { return; }
        
        var l = 0;
        trTags = tmp.getElementsByTagName('tr');
        for(i = 0;i<trTags.length;i++) {
            if(trTags[i].hasAttribute('class') && trTags[i].getAttribute('class').match(/row/))
            {
                if(trTags[i].getElementsByTagName('a')[0].getAttribute('href').match(/Profile\.aspx/))
                    l++;
                else
                    trTags[i].parentNode.removeChild(trTags[i]);
            }
        }
        
        
        if(nextref.length) {
            if(nextref.match(/pageSize/) == null) {
                nextref += '&pageSize=30';
            }
            else if( nextref.match(/(.*)pageSize=(\d+)(.*)/) == null ) 
            {
                nextref = RegExp.$1 + '&pageSize=30' + RegExp.$3;
            }
        }
        
        
        {
            
            
            // Race Condition!!! If change occurs after the GetElementById in previous instance
            // magicnext will not change so on resume this page is reloaded!!!!
            ChangeDocLocationtoNext(null);
            
            var tTags = document.getElementsByTagName('tr');
            var m = 0;
            var lastpar = null;
            
            magicnext = document.getElementById('magicnextId');
            if(magicnext) {
                magicnext.textContent = nextref;
            }
            
            for(i = 0;i<tTags.length;i++) {
                if(tTags[i].hasAttribute('class') && tTags[i].getAttribute('class').match(/row/))
                {
                    if(Scrapbook == 1) {
                        if(!tTags[i].getElementsByTagName('div')[0]) {
                            continue;
                        }
                    }
                    
                    m++;
                    lastpar = tTags[i];
                }
            }
            if((m + l ) == m)
            {
                if(nextref == '') {
                    AddSearchOver();
                    return;
                }
                ChangeDocLocationtoNext(nextref);
            }
            else {
                var parenNode = lastpar.parentNode;
                var ent;
                for(i = 0;i<trTags.length;i++) {
                    
                    if(trTags[i].hasAttribute('class') && trTags[i].getAttribute('class').match(/row/))
                    {
                        
                        ent = trTags[i].cloneNode(true);
                        parenNode.insertBefore(ent,lastpar.nextSibling);
                        trTags[i].parentNode.removeChild(trTags[i]);
                        i = i - 1;
                        lastpar = ent;
                        m++;
                    }
                    
                    if(m == 31) {
                        id = document.getElementById('MagicBut');
                        id.textContent = 'SearchMore';
                        break;
                    }
                }
                
                if(m == 31) {
                    ;
                }
                else {
                    
                    if(nextref == '') {
                        AddSearchOver();
                        return;
                    }
                    ChangeDocLocationtoNext(nextref);
                }
            }
            
        }
        
        
        
        /////////////////////////////////////////////////////////////////////////////
        
        function AddSearchOver()
        {
            
            // Race Condition!!!!!
            if(document.getElementById('MagicBut').textContent == 'Continue') {
                return;
            }
            over = document.createElement('font');
            over.innerHTML = '<font color="red" font-size="15pt"><br><br>SearchOver</font>';
            
            elm = document.getElementById('MagicBut');
            elm.parentNode.appendChild(over);
            elm.parentNode.removeChild(elm);
            
        }
        
        function ChangeDocLocationtoNext( nextrf ) {
            
            // Race Condition!!!!!
            if(document.getElementById('MagicBut').textContent == 'Continue' || nextrf == null) {
                return;
            }
            ajax(nextrf,ajaxresp);
        }
        
        
        
        /////////////////////////////////////////////////////////////////////////
        
        function SearchParse() {
            
            
            
            var searchText = window.name.split('ScrpSrchMagicBabe')[1];
            var rgstr = "(\\d\+)/(\\d\+)/(\\d\{2\})(.*)";
            var startD = "",endD = "",exact = 0,dates = 0;
            
            var year = new Array('','Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec');
            
            if(searchText.indexOf('exact:') >= 0)
            {
                exact = 1;
                var r = new RegExp('(.*)exact:(.*)');
                r.exec(searchText);
                searchText = RegExp.$1 + RegExp.$2;
            }
            if(searchText.indexOf('user:"') >= 0)
            {
                user = 1;
                var r = new RegExp('(.*)user:"(.*)"(.*)');
                r.exec(searchText);
                userN = RegExp.$2;
                searchText = RegExp.$1 + RegExp.$3;
            }
            else
                if(searchText.indexOf('user:') >= 0)
                {
                    user = 1;
                    var r = new RegExp("(.*)user:(\\S+)(.*)");
                    r.exec(searchText);
                    userN = RegExp.$2;
                    searchText = RegExp.$1 + RegExp.$3;
                }
                
                if(searchText.indexOf('edate:') >= 0)
                {
                    rg = new RegExp('(.*)edate:' + rgstr);
                    rg.exec(searchText);
                    endD = (RegExp.$2+'\/'+RegExp.$3+'\/'+RegExp.$4);
                    searchText = RegExp.$1 + RegExp.$5;
                    dateq = 1;
                    
                    if(searchText.indexOf('sdate:') >= 0)
                    {
                        rg = new RegExp('(.*)sdate:' + rgstr);
                        rg.exec(searchText);
                        startD = (RegExp.$2+'\/'+RegExp.$3+'\/'+RegExp.$4);
                        searchText = RegExp.$1 + RegExp.$5;
                        
                    }
                    else
                    {
                        startD = '00\/00\/0000';
                    }
                    
                }
                else
                {
                    endD = '12\/31\/9999';
                    if(searchText.indexOf('sdate:') >= 0)
                    {
                        dateq = 1;
                        rg = new RegExp('(\S*)sdate:' + rgstr);
                        rg.exec(searchText);
                        startD = (RegExp.$2+'\/'+RegExp.$3+'\/'+RegExp.$4);
                        searchText = RegExp.$1 + RegExp.$5;
                    }
                    else
                    {
                        startD = '00\/00\/0000';
                    }
                }
                
                var rg = new RegExp("(\W*)(\\d\\d|\\d)/(\\d\\d|\\d)/(\\d\+)","m");
                
                if(startD.match(rg)) {
                    mm = RegExp.$2;
                    dd = RegExp.$3;
                    
                    if(mm > 12 || dd > 31 ) {
                        alert('Invalid Date given for Start Date..Quitting');
                        parent.close();
                        return;
                    }
                    if((RegExp.$2).length == 1) {
                        mm = '0' + RegExp.$2;
                    }
                    if((RegExp.$3).length == 1) {
                        dd = '0' + RegExp.$3;
                    }
                    startD = mm + '\/' + dd + '\/' + RegExp.$4;
                }
                
                if(endD.match(rg)) {
                    mm = RegExp.$2;
                    dd = RegExp.$3;
                    
                    if(mm > 12 || dd > 31 ) {
                        alert('Invalid Date given for End Date..Quitting');
                        parent.close();
                        return;
                    }
                    
                    if((RegExp.$2).length == 1) {
                        mm = '0' + RegExp.$2;
                    }
                    if((RegExp.$3).length == 1) {
                        dd = '0' + RegExp.$3;
                    }
                    endD = mm + '\/' + dd + '\/' + RegExp.$4;
                }
                
                searchText = searchText.replace(/^\s+/g,'');
                searchText = searchText.replace(/\s+$/g,'');
                
                
                
                if(startD > endD)
                {
                    var temp = startD;
                    startD = endD;
                    endD = startD;
                }
                
                var da;
                var lastda;
                
                for(var i=0;i<trTags.length;i++)
                {
                    
                    if(trTags[i].hasAttribute('class') && trTags[i].getAttribute('class').match(/row/))
                    {
                        if(dateq == 1)
                        {
                            var tdn = trTags[i].getElementsByTagName('td');
                            
                            var mm,dd,yy;
                            for(var x = 0;x < tdn.length;x++)
                            {
                                var rg = new RegExp("(\\W*)(\\d\\d|\\d)/(\\d\\d|\\d)/(\\d\+)","m");
                                var rgt = new RegExp("(\\W*)(\\d+):(\\d\\d|\\d) \\w\\w","m");
                                var rgd = new RegExp("(\\W*)(\\w+)(\\s+)(\\d\\d|\\d)","m");
                                da = undefined;
                                
                                if(tdn[x].textContent.match(rgt))
                                {
                                    var tm = (Date()).split(' ');
                                    
                                    if(year.indexOf(tm[1]) < 10)
                                        mm = '0' + year.indexOf(tm[1])
                                        else
                                        mm = year.indexOf(tm[1]);
                                    if(tm[2].length < 2)
                                        dd = '0' + tm[2];
                                    else
                                        dd = tm[2];
                                    
                                    da =  mm+ '/' + dd + '/' ;
                                    tm[3].match(/\d\d(\d\d)/);
                                    da += RegExp.$1 + '';
                                }
                                
                                if(tdn[x].textContent.match(rgd))
                                {
                                    
                                    var tm = (Date()).split(' ');
                                    
                                    if(year.indexOf(tm[1]) < 10)
                                        mm = '0' + year.indexOf(RegExp.$2)
                                        else
                                        mm = year.indexOf(RegExp.$2);
                                    
                                    if((RegExp.$4).length < 2)
                                        dd = '0' + RegExp.$4;
                                    else
                                        dd = RegExp.$4;
                                    
                                    da = mm + '/' + dd + '/';
                                    
                                    tm[3].match(/\d\d(\d\d)/);
                                    da += RegExp.$1 + '';
                                }
                                
                                if(tdn[x].textContent.match(rg))
                                {
                                    mm = RegExp.$2;
                                    dd = RegExp.$3;
                                    
                                    if((RegExp.$2).length == 1) {
                                        mm = '0' + RegExp.$2;
                                    }
                                    if((RegExp.$3).length == 1) {
                                        dd = '0' + RegExp.$3;
                                    }
                                    
                                    da = (mm+'\/'+dd+'\/'+RegExp.$4);
                                }
                                if(da == undefined)
                                    continue;
                                
                                if(da < startD || da > endD )
                                {
                                    trTags[i].parentNode.removeChild(trTags[i]);i = i-1;
                                    lastda = da;
                                    break;
                                }
                                else {dates++;break;}
                                
                            } //for
                        } //dateq
                    } //div
                } //for
                
                if(dateq == 1 && dates == 0 )
                {
                    if(lastda == undefined)
                        return 2;
                    if( CommMsgs != 1 ) {
                        if(lastda < startD) {
                            return 2;
                        }
                    }
                    else {
                        if(lastda > endD) {
                            return 2;
                        }
                    }
                }
                trTags=tmp.getElementsByTagName('tr');
                usr = new RegExp(userN,'i');
                txtr = new RegExp(searchText,'i');
                found = 0;
                
                if((searchText != '' && CommTopics == 1) || user == 1) {
                    for(var i=0;i<trTags.length;i++)
                    {
                        if(trTags[i].hasAttribute('class') && trTags[i].getAttribute('class').indexOf('row') >= 0)
                        {
                            anc = trTags[i].getElementsByTagName('a');
                            
                            if(searchText != '' && CommTopics == 1)
                            {
                                
                                if(exact == 0) {
                                    if(anc[0].textContent.match(txtr)) {
                                        found = 1;
                                    }
                                }
                                else
                                {
                                    if(anc[0].textContent == searchText){
                                        found = 1;
                                    }
                                }
                            }
                            if(user == 1)
                            {
                                found = 0;
                                for(var j = 0;j < anc.length;j++)
                                {
                                    
                                    if(CommTopics == 1) {
                                        if(j != 1) {
                                            continue;
                                        }
                                        if(j > 1) {
                                            break;
                                        }
                                    }
                                    if(exact == 0) {
                                        if(anc[j].textContent.match(usr))
                                        {
                                            found = 1;
                                            break;
                                        }
                                    }
                                    else {
                                        if(anc[j].textContent == userN) {
                                            
                                            found = 1;
                                            break;
                                        }
                                    }
                                }
                            }
                            if(found == 0) {
                                trTags[i].parentNode.removeChild(trTags[i]);i = i - 1;
                            }
                            found = 0;
                        }
                    }
                }
                trTags=tmp.getElementsByTagName('tr');
                
                if(searchText != "" && CommTopics == 0)
                {
                    var found = 0;
                    var rg;
                    if(exact == 0) {
                        rg = new RegExp('('+searchText+')','im');
                    }
                    else { rg = new RegExp('('+searchText+')'); }
                    
                    for(i = 0;i<trTags.length;i++) {
                        if(trTags[i].hasAttribute('class') && trTags[i].getAttribute('class').match(/row/))
                        {
                            
                            if(Scrapbook == 1) {
                                if(!trTags[i].getElementsByTagName('div')[0]){ continue; }
                                child = trTags[i].getElementsByTagName('div')[0].childNodes;
                            }
                            else {
                                if(CommMsgs == 1 ) {
                                    child = trTags[i].getElementsByTagName('td');
                                }
                            }
                            for(var z = 0;z < child.length;z++) {
                                if(child[z].textContent.match(rg))
                                {
                                    
                                    text = RegExp.$1;
                                    subchild =   child[z].childNodes;
                                    for(var y = 0;y < subchild.length;y++) {
                                        if(subchild[y].textContent.match(rg)) {
                                            text = RegExp.$1;
                                            if(subchild[y].nodeName == 'a' || subchild[y].nodeName == 'A') {
                                                if(subchild[y].getAttribute('href').match(/Profile\.aspx/)) {
                                                    continue;
                                                }
                                            }
                                            var splitted=subchild[y].textContent.split(rg);
                                            var finalString = '';
                                            cl = document.createElement('font');
                                            sib = subchild[y].nextSibling;
                                            for(var k=0;k<splitted.length-1;k += 2)
                                            {
                                                finalString += splitted[k]+'<font color="red"><b>'+text+'</b></font>';
                                            }
                                            finalString+=splitted[k];
                                            cl.innerHTML = finalString;
                                            if(subchild[y].nodeName == 'a' || subchild[y].nodeName == 'A') {
                                                subchild[y].removeChild(subchild[y].firstChild);
                                                subchild[y].appendChild(cl);
                                            } else {
                                                child[z].removeChild(subchild[y]);
                                                child[z].insertBefore(cl,sib);
                                            }
                                            found = 1;
                                        }
                                    }
                                    if(subchild.length == 0) {
                                        if(child[z].parentNode.nodeName == 'a' || child[z].nodeName == 'A') {
                                            continue;
                                        }
                                        
                                        cl = document.createElement('font');
                                        sib = child[z].nextSibling;
                                        var splitted=child[z].textContent.split(rg);
                                        var finalString = '';
                                        
                                        for(var k=0;k<splitted.length-1;k += 2)
                                        {
                                            finalString += splitted[k]+'<font color="red"><b>'+text+'</b></font>';
                                        }
                                        finalString+=splitted[k];
                                        
                                        cl.innerHTML = finalString;
                                        var p = child[z].parentNode;
                                        p.removeChild(child[z]);
                                        p.insertBefore(cl,sib);
                                        found = 1;
                                        
                                    }
                                }
                            }
                            if(found == 0) {
                                trTags[i].parentNode.removeChild(trTags[i]);i = i - 1;
                            }
                            found = 0;
                        }
                    }
                }
                
                return 0;
            } /// SearchParse
            
    }
    
    
    
    function DOSomethin() { 
        if(document.getElementById('MagicBut').textContent == 'StopSearch')
        { 
            window.stop();document.getElementById('MagicBut').textContent = 'Continue';return;
        }
        if(document.getElementById('MagicBut').textContent == 'Continue'){ 
            next = document.getElementById('magicnextId').textContent; 
            if(next && next.length) { 
                ajax(next); } else { Ajaxreload(); 
                } 
                document.getElementById('MagicBut').textContent = 'StopSearch';return;
        } 
        RemoveAllRows();MoveRows();
        document.getElementById('MagicBut').textContent = 'StopSearch '; anc = tmp.getElementsByTagName('a');
        for(var i = 0;i<anc.length;i++) {
            if(anc[i].textContent.indexOf('next')>=0){ 
                ajax(anc[i].href,ajaxresp); 
            } 
        }
    }
    
    
    function AddSearchBox() {
        
        var divElement = document.createElement('div');
        var scriptStr='';
        scriptStr+='function searchScrap() {';
        scriptStr+='var searchText=document.getElementById(\'searchText\').value;';
        scriptStr+='if(searchText=="") { alert("Please enter a search text!"); return; }';
        scriptStr+='var hr = \'ScrpSrchMagicBabe\'; hr += document.getElementById(\'searchText\').value;if(window.name.indexOf(\'ScrpSrchMagicBabe\') >=0){window.name = hr;window.reload();}else {window.open(document.location.href,hr,\'width=800,height=900,scrollbars=yes,menubar=yes,resizable=yes\'); }';
        scriptStr+='}  ';
        scriptStr+='function enter(e) {if(e.which == 13)searchScrap();return;} ';
        scriptStr+= remdiv + movediv;
        
        
        
        scriptStr+=' function help() { ';
        scriptStr+='var Cwindow = window.open("","Orkut Search Help",\'width=500,height=610,scrollbars=no,menubar=no,resizable=no\');';
        scriptStr+='Cwindow.document.body.innerHTML = \'<body style="background-color:#D4DDED">';
        scriptStr+='<p align="center"><font size\="5pt" align\="center">Orkut Searcher Help</font><img src="http://images3.orkut.com/img/tr10.gif"/></p>';
        scriptStr+='<p style="background-color:#C9D6EB"><br><b>user:</b><font color\="#762300">username</font> <font >  - Search for all entries from the given username<br>Give the username within " [double quote ] if it contains space</font>';
        scriptStr+='<br><font color="blue">Ex - user:Ram</font> will search for all entries from ram Ram rAm abcdram ramcb cbramab...';
        scriptStr+='<p style="background-color:#BFD0EA"><b>sdate:</b><font color\="#762300">mm/dd/yyyy</font><font>  - Search for all entries after the given date</font></font>';
        scriptStr+='<br><font color="blue">Ex - sdate:11/01/2006 or sdate:11/1/2006</font> will search for all entries starting from November 1st 2006 till the end ';
        scriptStr+='</p><p style="background-color:#C9D6EB"><br><b>edate:</b><font color\="#762300">mm/dd/yyyy</font><font>   - Search for all entries before the given date</font>';
        scriptStr+='<br><font color="blue">Ex - edate:11/01/2006 or edate:11/1/2006</font> will search for all entries from beginning till November 1st 2006  ';
        scriptStr+='</p><p style="background-color:#BFD0EA"><b>exact:</b><font>  Do a case sensitive search and match usernames exactly and fully';
        scriptStr+='<br><font color="blue">Ex - exact: user:Ram</font> will search for all entries from Ram only and users like ram rAm are ignored';
        scriptStr+='</p><p style="background-color:#C9D6EB">Ofcourse give any keyword and get all entries with the given word in the entry. The word wil be highlighted in <font color="red">red</font></font>';
        scriptStr+='<br><font color="blue">Ex - Hello</font> will search for entries having hello hElLo heLLO hihelloty ';
        scriptStr+='<br>Like user names <font color="blue">Hello exact: </font> will search for all entries having the word Hello and entries like helloe hElLo halhello are ignored';
        scriptStr+='</p><b>Tip</b> - Search for <b>http:\/</b> if you wish to search all entries with links in them';
        scriptStr+='<br><p align="right"><font size="2pt"><b>Disclainer:</b>This search tool is not endorsed by Orkut or Google </font></p> ';
        scriptStr+='</body>\';';
        scriptStr+='Cwindow.document.body.setAttribute(\'style\',\'background-color:#D4DDED\');} ';
        
        
        var scriptElement=document.createElement('script');
        scriptElement.language='Javascript';
        scriptElement.innerHTML=scriptStr;
        document.getElementsByTagName('head')[0].appendChild(scriptElement);
        var str='';
        str+='  <table class="panel" border="0" cellpadding="0" cellspacing="0" width="100%" >';
        str+='  <tr><td class="panel">';
        str+='  <table align="center">';
        str+='  <tr>';
        str+='  <td>';
        str+='  <input id="searchText" name="searchText" type="text" size="40" class="textbox" value="" onKeyPress="enter(event)">';
        str+='  <\/td>';
        str+='  <td>';
        str+='  <table class="btn" border="0" cellpadding="0" cellspacing="0" onmouseover="this.className=\'btnHover\'" onmouseout="this.className=\'btn\'">';
        str+='  <tr style="cursor: pointer;" onclick="searchScrap();">';
        str+='  <td><img src="http:\/\/images3.orkut.com\/img\/bl.gif" alt="" \/><\/td>';
        str+='  <td nowrap style="background: url(http:\/\/images3.orkut.com\/img\/bm.gif)">';
        str+=   buttonname;
        str+=' </td> ';
        str+=' <img src="http:\/\/images3.orkut.com\/img\/br.gif" alt="" \/>';
        str+='  <\/td>';
        str+='  <\/tr>';
        str+='  <\/table>';
        str+=' <tr align="center"><td><table class="btn" border="0" cellpadding="0" cellspacing="0" onmouseover="this.className=\'btnHover\'" onmouseout="this.className=\'btn\'">';
        str+=' <tr style="cursor: pointer;" onclick="help();">';
        str+=' <img src="http:\/\/images3.orkut.com\/img\/bl.gif" alt="" \/>';
        str+='  <td nowrap style="background: url(http:\/\/images3.orkut.com\/img\/bm.gif)">';
        str+='  Watz that new box above ??</td>';
        str+=' <img src="http:\/\/images3.orkut.com\/img\/br.gif" alt="" \/>';
        str+=' </tr> </table></td></tr>';
        str+='  <\/td>';
        str+='  <\/tr>';
        
        str+='  <\/table>';
        
        if(window.name.indexOf('ScrpSrchMagicBabe') >= 0 && window.name.indexOf('killed') == -1) {
            str+='  <br><table align="center"><td valign="top" align="center"><button onclick="DOSomethin()" id="MagicBut">StopSearch</button></td></table>';
        }
        str+='  <\/td><\/tr>';
        str+='  <\/table>';
        str+='  <img src="img/b.gif" alt="" height="10" width="10" />';
        divElement.setAttribute('id','scrapbookSearch');
        divElement.innerHTML=str;
        
        if(document.getElementsByTagName('table').item(2)) {
            if( document.getElementsByTagName('table').item(2).innerHTML.indexOf('searchScrap') == -1 ) {
                document.body.insertBefore(divElement,document.getElementsByTagName('table').item(2));
            }
        }
        
    }
    
 
    
  